<html>
<head>
<title>Ogre::GLFBOManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFBOManager.html">GLFBOManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLFBOManager Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLFBOManager" --><!-- doxytag: inherits="Ogre::GLRTTManager" -->
<p>Factory for GL Frame Buffer Objects, and related things.  
 <a href="classOgre_1_1GLFBOManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLFBOManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLFBOManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLFBOManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLFBOManager_inherit__map" id="Ogre_1_1GLFBOManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1GLRTTManager.html" title="Manager/factory for RenderTextures." alt="" coords="45,83,195,112"/><area shape="rect" id="node4" href="classOgre_1_1Singleton.html" title="Ogre::Singleton\&lt; GLRTTManager \&gt;" alt="" coords="5,5,235,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLFBOManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html">FormatProperties</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame Buffer Object properties for a certain texture format.  <a href="structOgre_1_1GLFBOManager_1_1FormatProperties.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and format.  <a href="structOgre_1_1GLFBOManager_1_1RBFormat.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html">RBRef</a></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a867f8678394c9357e0d941a7b46dd20d">GLFBOManager</a> (bool atimode)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a7dfb9b8f15b3afaa4c0cec1ad98fdde8">~GLFBOManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a2f2d3f47f82a3b009c4a0037f27de6d8">bind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a certain render target if it is a FBO.  <a href="#a2f2d3f47f82a3b009c4a0037f27de6d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#aa17c48a8227a5428e39a750e9fe9eda6">unbind</a> (<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind a certain render target.  <a href="#aa17c48a8227a5428e39a750e9fe9eda6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a5427433796eddd9ca51bce5a015200c0">getBestDepthStencil</a> (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get best depth and stencil supported for given internalFormat.  <a href="#a5427433796eddd9ca51bce5a015200c0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLFBORenderTexture.html">GLFBORenderTexture</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#adcc5f5828dd6106ea3fa194924db66b2">createRenderTexture</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;target, bool writeGamma, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a texture rendertarget object.  <a href="#adcc5f5828dd6106ea3fa194924db66b2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a34ef91963d6db79ab0cc55861df1462d">createMultiRenderTarget</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a multi render target.  <a href="#a34ef91963d6db79ab0cc55861df1462d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#ab71472f0cd597f505c8df02ae9976300">requestRenderBuffer</a> (GLenum format, size_t width, size_t height, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request a render buffer.  <a href="#ab71472f0cd597f505c8df02ae9976300"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#addf8cfd572e75195653bcc4d0bb1caf4">requestRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Request the specify render buffer in case shared somewhere.  <a href="#addf8cfd572e75195653bcc4d0bb1caf4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#ab522e644cc88174ffc7a5dcd149dddfc">releaseRenderBuffer</a> (const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;surface)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release a render buffer.  <a href="#ab522e644cc88174ffc7a5dcd149dddfc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a8a95d8f7f7aedd2c70b2c9fe546528f1">checkFormat</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if a certain format is usable as FBO rendertarget format.  <a href="#a8a95d8f7f7aedd2c70b2c9fe546528f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a86e8f0bc503e0c160a01258be0bc8e8b">getTemporaryFBO</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a FBO without depth/stencil for temporary use, like blitting between textures.  <a href="#a86e8f0bc503e0c160a01258be0bc8e8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">getSupportedAlternative</a> (<a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the closest supported alternative format.  <a href="#a106e43311c8d274d515f7b954e4fb24f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> (void)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> (void)</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html">RBRef</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#aa220ae983ae5d6e4ac784504d318c2cf">RenderBufferMap</a></td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a8ad16c0ad39f1a22a1a810ce43e557ab">detectFBOFormats</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Detect allowed FBO formats.  <a href="#a8ad16c0ad39f1a22a1a810ce43e557ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#a46872b3d98eb44c95570e9ed6a69ba90">_tryFormat</a> (GLenum depthFormat, GLenum stencilFormat)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#aa85b0158dcf4b507038b4881ef5c6082">_tryPackedFormat</a> (GLenum packedFormat)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html">FormatProperties</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#af3aacbf298934f4eff3a6c3fa1663f53">mProps</a> [<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Properties for all internal formats defined by OGRE.  <a href="#af3aacbf298934f4eff3a6c3fa1663f53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLFBOManager.html#aa220ae983ae5d6e4ac784504d318c2cf">RenderBufferMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#afc86de36017a02b7b4038c8124c7cf72">mRenderBufferMap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#ad0d411e6dcb1e0f64f7cef6c972a0c8b">mTempFBO</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Temporary FBO identifier.  <a href="#ad0d411e6dcb1e0f64f7cef6c972a0c8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLFBOManager.html#ae684a84f3f8cd89ddca4062ca25e1374">mATIMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Buggy ATI driver?  <a href="#ae684a84f3f8cd89ddca4062ca25e1374"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Factory for GL Frame Buffer Objects, and related things. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00064">64</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="aa220ae983ae5d6e4ac784504d318c2cf"></a><!-- doxytag: member="Ogre::GLFBOManager::RenderBufferMap" ref="aa220ae983ae5d6e4ac784504d318c2cf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="structOgre_1_1GLFBOManager_1_1RBFormat.html">RBFormat</a>, <a class="el" href="structOgre_1_1GLFBOManager_1_1RBRef.html">RBRef</a>&gt;::type <a class="el" href="classOgre_1_1GLFBOManager.html#aa220ae983ae5d6e4ac784504d318c2cf">Ogre::GLFBOManager::RenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00180">180</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a867f8678394c9357e0d941a7b46dd20d"></a><!-- doxytag: member="Ogre::GLFBOManager::GLFBOManager" ref="a867f8678394c9357e0d941a7b46dd20d" args="(bool atimode)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFBOManager.html#a867f8678394c9357e0d941a7b46dd20d">Ogre::GLFBOManager::GLFBOManager</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>atimode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7dfb9b8f15b3afaa4c0cec1ad98fdde8"></a><!-- doxytag: member="Ogre::GLFBOManager::~GLFBOManager" ref="a7dfb9b8f15b3afaa4c0cec1ad98fdde8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFBOManager.html#a7dfb9b8f15b3afaa4c0cec1ad98fdde8">Ogre::GLFBOManager::~GLFBOManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a46872b3d98eb44c95570e9ed6a69ba90"></a><!-- doxytag: member="Ogre::GLFBOManager::_tryFormat" ref="a46872b3d98eb44c95570e9ed6a69ba90" args="(GLenum depthFormat, GLenum stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFBOManager.html#a46872b3d98eb44c95570e9ed6a69ba90">Ogre::GLFBOManager::_tryFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aa85b0158dcf4b507038b4881ef5c6082"></a><!-- doxytag: member="Ogre::GLFBOManager::_tryPackedFormat" ref="aa85b0158dcf4b507038b4881ef5c6082" args="(GLenum packedFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLFBOManager.html#aa85b0158dcf4b507038b4881ef5c6082">Ogre::GLFBOManager::_tryPackedFormat</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>packedFormat</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2f2d3f47f82a3b009c4a0037f27de6d8"></a><!-- doxytag: member="Ogre::GLFBOManager::bind" ref="a2f2d3f47f82a3b009c4a0037f27de6d8" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#a2f2d3f47f82a3b009c4a0037f27de6d8">Ogre::GLFBOManager::bind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a certain render target if it is a FBO. </p>
<p>If it is not a FBO, bind the main frame buffer. </p>

<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#ac9b94d66d780e46d084cb142b92c2153">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a8a95d8f7f7aedd2c70b2c9fe546528f1"></a><!-- doxytag: member="Ogre::GLFBOManager::checkFormat" ref="a8a95d8f7f7aedd2c70b2c9fe546528f1" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLFBOManager.html#a8a95d8f7f7aedd2c70b2c9fe546528f1">Ogre::GLFBOManager::checkFormat</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Check if a certain format is usable as FBO rendertarget format. </p>

<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#ad75c58c30fc8a25671aca04d9c213454">Ogre::GLRTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00105">105</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a34ef91963d6db79ab0cc55861df1462d"></a><!-- doxytag: member="Ogre::GLFBOManager::createMultiRenderTarget" ref="a34ef91963d6db79ab0cc55861df1462d" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MultiRenderTarget.html">MultiRenderTarget</a>* <a class="el" href="classOgre_1_1GLFBOManager.html#a34ef91963d6db79ab0cc55861df1462d">Ogre::GLFBOManager::createMultiRenderTarget</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a multi render target. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLRTTManager.html#a1075312a92286d2e9c59eba718181f44">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="adcc5f5828dd6106ea3fa194924db66b2"></a><!-- doxytag: member="Ogre::GLFBOManager::createRenderTexture" ref="adcc5f5828dd6106ea3fa194924db66b2" args="(const String &amp;name, const GLSurfaceDesc &amp;target, bool writeGamma, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLFBORenderTexture.html">GLFBORenderTexture</a>* <a class="el" href="classOgre_1_1GLFBOManager.html#adcc5f5828dd6106ea3fa194924db66b2">Ogre::GLFBOManager::createRenderTexture</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>writeGamma</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a texture rendertarget object. </p>

<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#aac78ded603f500c9f40a3d538f585bfd">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a8ad16c0ad39f1a22a1a810ce43e557ab"></a><!-- doxytag: member="Ogre::GLFBOManager::detectFBOFormats" ref="a8ad16c0ad39f1a22a1a810ce43e557ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#a8ad16c0ad39f1a22a1a810ce43e557ab">Ogre::GLFBOManager::detectFBOFormats</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Detect allowed FBO formats. </p>

</div>
</div>
<a class="anchor" id="a5427433796eddd9ca51bce5a015200c0"></a><!-- doxytag: member="Ogre::GLFBOManager::getBestDepthStencil" ref="a5427433796eddd9ca51bce5a015200c0" args="(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#a5427433796eddd9ca51bce5a015200c0">Ogre::GLFBOManager::getBestDepthStencil</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>internalFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>depthFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GLenum *&#160;</td>
          <td class="paramname"><em>stencilFormat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get best depth and stencil supported for given internalFormat. </p>

<p>Reimplemented from <a class="el" href="classOgre_1_1GLRTTManager.html#a9009ddc7bebd9a077c2152e9432ff634">Ogre::GLRTTManager</a>.</p>

</div>
</div>
<a class="anchor" id="a7757bd7ac3702c144502e53ad6491888"></a><!-- doxytag: member="Ogre::GLFBOManager::getSingleton" ref="a7757bd7ac3702c144502e53ad6491888" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> &amp; <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7757bd7ac3702c144502e53ad6491888">getSingleton</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00090">90</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7ab51c46521b89723d6186a52a7e0d7b"></a><!-- doxytag: member="Ogre::GLFBOManager::getSingletonPtr" ref="a7ab51c46521b89723d6186a52a7e0d7b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#a7ab51c46521b89723d6186a52a7e0d7b">getSingletonPtr</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [static, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00092">92</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="a106e43311c8d274d515f7b954e4fb24f"></a><!-- doxytag: member="Ogre::GLFBOManager::getSupportedAlternative" ref="a106e43311c8d274d515f7b954e4fb24f" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLRTTManager.html#a106e43311c8d274d515f7b954e4fb24f">Ogre::GLRTTManager::getSupportedAlternative</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the closest supported alternative format. </p>
<p>If format is supported, returns format. </p>

</div>
</div>
<a class="anchor" id="a86e8f0bc503e0c160a01258be0bc8e8b"></a><!-- doxytag: member="Ogre::GLFBOManager::getTemporaryFBO" ref="a86e8f0bc503e0c160a01258be0bc8e8b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFBOManager.html#a86e8f0bc503e0c160a01258be0bc8e8b">Ogre::GLFBOManager::getTemporaryFBO</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a FBO without depth/stencil for temporary use, like blitting between textures. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00109">109</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab522e644cc88174ffc7a5dcd149dddfc"></a><!-- doxytag: member="Ogre::GLFBOManager::releaseRenderBuffer" ref="ab522e644cc88174ffc7a5dcd149dddfc" args="(const GLSurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#ab522e644cc88174ffc7a5dcd149dddfc">Ogre::GLFBOManager::releaseRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release a render buffer. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="ab71472f0cd597f505c8df02ae9976300"></a><!-- doxytag: member="Ogre::GLFBOManager::requestRenderBuffer" ref="ab71472f0cd597f505c8df02ae9976300" args="(GLenum format, size_t width, size_t height, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> <a class="el" href="classOgre_1_1GLFBOManager.html#ab71472f0cd597f505c8df02ae9976300">Ogre::GLFBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">GLenum&#160;</td>
          <td class="paramname"><em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request a render buffer. </p>
<p>If format is GL_NONE, return a zero buffer. </p>

</div>
</div>
<a class="anchor" id="addf8cfd572e75195653bcc4d0bb1caf4"></a><!-- doxytag: member="Ogre::GLFBOManager::requestRenderBuffer" ref="addf8cfd572e75195653bcc4d0bb1caf4" args="(const GLSurfaceDesc &amp;surface)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#ab71472f0cd597f505c8df02ae9976300">Ogre::GLFBOManager::requestRenderBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLSurfaceDesc.html">GLSurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>surface</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Request the specify render buffer in case shared somewhere. </p>
<p>Ignore silently if surface.buffer is 0. </p>

</div>
</div>
<a class="anchor" id="aa17c48a8227a5428e39a750e9fe9eda6"></a><!-- doxytag: member="Ogre::GLFBOManager::unbind" ref="aa17c48a8227a5428e39a750e9fe9eda6" args="(RenderTarget *target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLFBOManager.html#aa17c48a8227a5428e39a750e9fe9eda6">Ogre::GLFBOManager::unbind</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a> *&#160;</td>
          <td class="paramname"><em>target</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind a certain render target. </p>
<p>No-op for FBOs. </p>

<p>Implements <a class="el" href="classOgre_1_1GLRTTManager.html#aac3b27462f81df6c88359af32f551efc">Ogre::GLRTTManager</a>.</p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00077">77</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae684a84f3f8cd89ddca4062ca25e1374"></a><!-- doxytag: member="Ogre::GLFBOManager::mATIMode" ref="ae684a84f3f8cd89ddca4062ca25e1374" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLFBOManager.html#ae684a84f3f8cd89ddca4062ca25e1374">Ogre::GLFBOManager::mATIMode</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Buggy ATI driver? </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00189">189</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3aacbf298934f4eff3a6c3fa1663f53"></a><!-- doxytag: member="Ogre::GLFBOManager::mProps" ref="af3aacbf298934f4eff3a6c3fa1663f53" args="[PF_COUNT]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLFBOManager_1_1FormatProperties.html">FormatProperties</a> <a class="el" href="classOgre_1_1GLFBOManager.html#af3aacbf298934f4eff3a6c3fa1663f53">Ogre::GLFBOManager::mProps</a>[<a class="el" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Properties for all internal formats defined by OGRE. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00129">129</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="afc86de36017a02b7b4038c8124c7cf72"></a><!-- doxytag: member="Ogre::GLFBOManager::mRenderBufferMap" ref="afc86de36017a02b7b4038c8124c7cf72" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLFBOManager.html#aa220ae983ae5d6e4ac784504d318c2cf">RenderBufferMap</a> <a class="el" href="classOgre_1_1GLFBOManager.html#afc86de36017a02b7b4038c8124c7cf72">Ogre::GLFBOManager::mRenderBufferMap</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00181">181</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<a class="anchor" id="aff0baaaed91d8505cfb72b7725ae1c37"></a><!-- doxytag: member="Ogre::GLFBOManager::msSingleton" ref="aff0baaaed91d8505cfb72b7725ae1c37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a> * <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; <a class="el" href="classOgre_1_1GLRTTManager.html">GLRTTManager</a>  &gt;::<a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a><code> [static, protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSingleton_8h_source.html#l00075">75</a> of file <a class="el" href="OgreSingleton_8h_source.html">OgreSingleton.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad0d411e6dcb1e0f64f7cef6c972a0c8b"></a><!-- doxytag: member="Ogre::GLFBOManager::mTempFBO" ref="ad0d411e6dcb1e0f64f7cef6c972a0c8b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLFBOManager.html#ad0d411e6dcb1e0f64f7cef6c972a0c8b">Ogre::GLFBOManager::mTempFBO</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Temporary FBO identifier. </p>

<p>Definition at line <a class="el" href="OgreGLFBORenderTexture_8h_source.html#l00186">186</a> of file <a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLFBORenderTexture_8h_source.html">OgreGLFBORenderTexture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
